Dependency problem of ipython 7.16.1-1

ggl329 ggl329@gmail.com
Mon Jul 27 16:18:55 GMT 2020


Hi all,

Recently, I upgraded python36-ipython to 7.16.1-1 and got an error shown below.
The upgraded ipython seems to depend on backcall module (https://github.com/takluyver/backcall).
But cygwin doesn't have python-backcall package.
Is there anyone who will provide python-backcall package?

$ ipython3.6
Traceback (most recent call last):
   File "/usr/bin/ipython3.6", line 5, in <module>
     from IPython import start_ipython
   File "/usr/lib/python3.6/site-packages/IPython/__init__.py", line 56, in <module>
     from .terminal.embed import embed
   File "/usr/lib/python3.6/site-packages/IPython/terminal/embed.py", line 15, in <module>
     from IPython.core.interactiveshell import DummyMod, InteractiveShell
   File "/usr/lib/python3.6/site-packages/IPython/core/interactiveshell.py", line 43, in <module>
     from IPython.core.events import EventManager, available_events
   File "/usr/lib/python3.6/site-packages/IPython/core/events.py", line 16, in <module>
     from backcall import callback_prototype
ModuleNotFoundError: No module named 'backcall'


-- 
   ggl329


More information about the Cygwin mailing list